## ros-one-pr2-camera-synchronizer 1.6.32-21jammy.20251023.0924

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
if(POLICY CMP0048)
  cmake_policy(SET CMP0048 NEW)
endif()
project(pr2_camera_synchronizer)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS dynamic_reconfigure rostest)

if(CATKIN_ENABLE_TESTING)
	#DFS: removed buggy test which was causing the build to time out
   #catkin_add_nosetests(test/test_classes.py)
	#add_rostest(test/test_consistency.test)
endif()

catkin_python_setup()

generate_dynamic_reconfigure_options(cfg/CameraSynchronizer.cfg)

catkin_package(CATKIN_DEPENDS dynamic_reconfigure)

file(GLOB PYTHON_SCRIPTS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
   "${CMAKE_CURRENT_SOURCE_DIR}/scripts/*" 
   "${CMAKE_CURRENT_SOURCE_DIR}/nodes/*")

install(PROGRAMS ${PYTHON_SCRIPTS}
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(FILES
   projector_auto.launch
   projector_off.launch
   projector_on.launch
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-pr2-camera-synchronizer (1.6.32-21jammy.20251023.0924) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 23 Oct 2025 09:24:35 +0000

ros-one-pr2-camera-synchronizer (1.6.32-0jammy) jammy; urgency=high

  * Merge pull request #268 <https://github.com/pr2/pr2_robot/issues/268> from k-okada/fix_for_noetic
  * async is keyword in Python3.7
  * python3 did not take tuple for lambda : https://stackoverflow.com/questions/11328312/python-lambda-does-not-accept-tuple-argument
  * run 2to3 -w -fexcept .
  * run 2to3 -w -fprint .
  * Contributors: Kei Okada

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 26 May 2021 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.31-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Apr 2020 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.30-0jammy) jammy; urgency=high

  * removed more tests for jenkins build
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 23 Apr 2018 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.29-0jammy) jammy; urgency=high

  * commented out tests that seem to require PR2 to function properly (timing out jenkins build)
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.28-0jammy) jammy; urgency=high

  * made sure tests only run if CATKIN_ENABLE_TESTING is set
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.27-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.26-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.25-0jammy) jammy; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.7-0jammy) jammy; urgency=high

  * Updated mainpage.dox
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 00:00:00 -0000

=== debian/control ===
Source: ros-one-pr2-camera-synchronizer
Section: misc
Priority: optional
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-rostest
Homepage: http://pr.willowgarage.com/wiki/pr2_camera_synchronizer
Standards-Version: 3.9.2

Package: ros-one-pr2-camera-synchronizer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-diagnostic-msgs, ros-one-dynamic-reconfigure, ros-one-ethercat-trigger-controllers, ros-one-rospy, ros-one-wge100-camera
Description: The PR2 is equipped with a texture projector that can be used to project a texture onto featureless surfaces, allowing their three-dimensional structure to be determined using stereoscopy.
 The projector operates in a pulsed mode, producing brief (2ms) pulses of light. Cameras that want to see the texture must expose during the projector pulse; other cameras should be expose while the projector is off. This package contains the pr2_projector_synchronizer node. Based on its dynamically reconfigurable parameters, this node controls the projector pulsing, and sets up triggering of the WGE100 cameras.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pr2-camera-synchronizer//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pr2-camera-synchronizer 1.6.32-21jammy.20260221.2102

=== debian/changelog ===
ros-one-pr2-camera-synchronizer (1.6.32-21jammy.20260221.2102) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Feb 2026 21:02:14 +0000

## ros-one-pr2-camera-synchronizer 1.6.32-21noble.20251023.0936

=== debian/changelog ===
ros-one-pr2-camera-synchronizer (1.6.32-21noble.20251023.0936) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 23 Oct 2025 09:36:11 +0000

ros-one-pr2-camera-synchronizer (1.6.32-0noble) noble; urgency=high

  * Merge pull request #268 <https://github.com/pr2/pr2_robot/issues/268> from k-okada/fix_for_noetic
  * async is keyword in Python3.7
  * python3 did not take tuple for lambda : https://stackoverflow.com/questions/11328312/python-lambda-does-not-accept-tuple-argument
  * run 2to3 -w -fexcept .
  * run 2to3 -w -fprint .
  * Contributors: Kei Okada

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 26 May 2021 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.31-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Apr 2020 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.30-0noble) noble; urgency=high

  * removed more tests for jenkins build
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 23 Apr 2018 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.29-0noble) noble; urgency=high

  * commented out tests that seem to require PR2 to function properly (timing out jenkins build)
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.28-0noble) noble; urgency=high

  * made sure tests only run if CATKIN_ENABLE_TESTING is set
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.27-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.26-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.25-0noble) noble; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-camera-synchronizer (1.6.7-0noble) noble; urgency=high

  * Updated mainpage.dox
  * Contributors: TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 00:00:00 -0000

## ros-one-pr2-camera-synchronizer 1.6.32-21noble.20260221.2145

=== debian/changelog ===
ros-one-pr2-camera-synchronizer (1.6.32-21noble.20260221.2145) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Feb 2026 21:45:49 +0000
